Skip to main content
POST
Create Guardrail

Body

application/json

Body for POST /admin/api/v1/guardrails.

name
string
required
position
enum<string>
required
Available options:
input,
output
guardrail
SimpleBanListConfig · object
required
enabled
boolean
default:true
sortOrder
integer
default:0
Required range: x >= 0

Response

Successful Response

data
StandaloneGuardrailRead · object
required

GET response and the data payload of POST/PATCH/DELETE responses.

reload
StandaloneReloadResult · object
required

Reload outcome attached to every admin mutation response.

reloaded means DB committed and runtime now uses the new config. restart_required means DB committed and process restart is needed. reload_failed means DB rolled back and runtime is unchanged.

Last modified on May 22, 2026